Bug 49742 - FILESAVE: LO Does Not Save Window->Freeze Settings on .XLS files
Summary: FILESAVE: LO Does Not Save Window->Freeze Settings on .XLS files
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 47174 56415 62045 62074 63103 63224 64163 65369 69249 71178 71383 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-05-10 10:19 UTC by DB
Modified: 2014-06-19 13:48 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DB 2012-05-10 10:19:30 UTC
I use the Window->Freeze setting in several of my worksheets. The Freeze settings are randomly lost either when the file is closed or when it is opened. Random means that none or several worksheets may lose the setting. In any event, the settings are lost, even in worksheets that were not modified in a session. This problem is especially true for XLS files. While I have not lost any data that I know of, it is alarming that LO does not reliably save all information about the spreadsheets. Out of fear of data getting lost as well, I have reverted back to MS Office.
Comment 1 bfoman (inactive) 2012-06-22 06:27:13 UTC
See bug 50982.
Comment 2 bfoman (inactive) 2012-06-22 11:45:56 UTC
*** Bug 50982 has been marked as a duplicate of this bug. ***
Comment 3 billhook 2012-11-15 23:51:18 UTC
*** Bug 57169 has been marked as a duplicate of this bug. ***
Comment 4 billhook 2012-11-15 23:52:25 UTC
See Bug 57169 for a good reproducible test case for this bug.
Comment 5 billhook 2012-11-15 23:54:03 UTC
*** Bug 47174 has been marked as a duplicate of this bug. ***
Comment 6 ign_christian 2013-05-09 09:10:18 UTC

*** This bug has been marked as a duplicate of bug 61060 ***
Comment 7 ign_christian 2013-06-05 15:09:14 UTC
So sorry for the riot caused by me. It's different problem.

I'll reopened this bug, still happen on LO 4.0.4.1 (Win7 32bit)
Comment 8 ign_christian 2013-06-05 15:14:50 UTC
*** Bug 50982 has been marked as a duplicate of this bug. ***
Comment 9 ign_christian 2013-06-05 15:18:01 UTC
*** Bug 47174 has been marked as a duplicate of this bug. ***
Comment 10 ign_christian 2013-06-05 15:20:43 UTC
*** Bug 63224 has been marked as a duplicate of this bug. ***
Comment 11 ign_christian 2013-06-05 15:21:30 UTC
*** Bug 63103 has been marked as a duplicate of this bug. ***
Comment 12 ign_christian 2013-06-05 15:22:37 UTC
*** Bug 62045 has been marked as a duplicate of this bug. ***
Comment 13 ign_christian 2013-06-05 15:23:50 UTC
*** Bug 62074 has been marked as a duplicate of this bug. ***
Comment 14 ign_christian 2013-06-05 15:25:16 UTC
Change version to: 3.5.0 -> oldest version known from Bug 47174
Comment 15 ign_christian 2013-06-05 15:42:51 UTC
*** Bug 65369 has been marked as a duplicate of this bug. ***
Comment 16 Paijo 2013-06-07 11:43:51 UTC
I confirm the window-freeze randomly disappear when a file saved and then reopened.

1. Freeze some rows only (for title, etc), no data filter -> Freeze disappear after save
2. Freeze both row and column -> freeze (mostly) still appear after save
3. Data filter active -> window-freeze saved

That's all what I know.
Comment 17 bfoman (inactive) 2013-06-30 07:35:59 UTC
*** Bug 64163 has been marked as a duplicate of this bug. ***
Comment 18 Scott Drasnin 2013-07-01 05:31:16 UTC
Since my reported problem was marked as duplicate, I'll add comments here as possible tools to solving.

The sheet scroll position also seems to be lost (not saved) at the same time as the freeze.

For me, this was a regression. LibrOff prior to 3.n (where I think n=3) handled this correctly.
Comment 19 ign_christian 2013-07-01 09:44:27 UTC
Hi Scott

Please comment here if you have some clues. Maybe you know exactly what version that it handled correctly? OO 3.3/3.4.1? 

Such informations will help developers to backtrace.
Comment 20 ign_christian 2013-07-01 09:48:41 UTC
> The sheet scroll position also seems to be lost (not saved) at the same time
> as the freeze.
I don't know whether that should be separated from this bug report. Perhaps someone have been reported that in another bug.
Comment 21 ign_christian 2013-07-01 10:55:46 UTC
Have just checked..that behavior not happen on OOO 3.3.0 (Win XP). Freeze setting & cell position correctly saved.

I remember now..after doing some mistakes about marking such bugs :-) 
This behavior not happen on LO 3.4.5 & 0OO 3.4.0 :
https://bugs.freedesktop.org/show_bug.cgi?id=50982#c0

About cell position: Bug 57169 (with freeze), Bug 51066 (without freeze) 
 
@Joel, perhaps this bug could be traced against 3.4.5? Will save lots of people here.. :)
Comment 22 ign_christian 2013-08-07 03:22:55 UTC
*** Bug 67820 has been marked as a duplicate of this bug. ***
Comment 23 Scott Drasnin 2013-08-12 00:32:18 UTC
bug 67820 implies the root cause here may actually be a read error (on load), rather than a write error (on save) [Via testing a programmatically created source file.]

However, bug 51066 provides a work-around: save as .xls when viewing a sheet beyond the first two.

Run the experiment:

Load the sample file t.xls from bug 67820 into LibreOffice. See that Sheet 1 has a freeze set. Navigate to Sheet 3. It does not have a freeze set. Create a freeze on this Sheet 3. Save (back to .xls) while still viewing Sheet 3. Exit LibreOffice.
Reload the file: freeze on Sheet 3 preserved.

To developers / experimenters:
How did an on-save work-around help with an on-load bug?
How does the saved file differ from the original?
Specifically, how does the meta-data (freeze, scroll position) for Sheet 3 differ from Sheet 1 (unchanged?)? ... and from Sheet 4, 5, etc., which do not preserve the freeze or scroll position?
Comment 24 brucehohl 2013-09-02 18:41:04 UTC
I have reproduced this bug as follows.  

When saving in XLS format 'Window > Freeze' settings are only saved for:
current tab, all tabs to the left, first tab to the right but no other tabs to the right.

How to duplicate bug: 
(1) Create a spreadsheet with five tabs. 
(2) Set Window > Freeze on each of the five tabs. 
(3) From tab 1 Save As Untitled_1.xls, From tab 2 Save AS Untitled_2.xls, repeat for tabs 3-5.
(4) Open each xls file to see this result:

Untitled_1.xls Freeze on tab 1-2 OK but Freeze on tabs 3-5 not saved.
Untitled_1.xls Freeze on tab 1-3 OK but Freeze on tabs 4-5 not saved.
Untitled_1.xls Freeze on tab 1-4 OK but Freeze on tabs 5   not saved.
Untitled_1.xls Freeze on tab 1-5 OK 
Untitled_1.xls Freeze on tab 1-5 OK 

The behavior is consistent (not random) for a few worksheets that I use.  A work around is to save from the last or 2nd to last tab.
Comment 25 Tony Martin 2013-09-12 11:13:59 UTC
*** Bug 69249 has been marked as a duplicate of this bug. ***
Comment 26 Tony Martin 2013-09-12 11:19:33 UTC
(In reply to comment #25)
> *** Bug 69249 has been marked as a duplicate of this bug. ***

An addendum:  Bug 69249 occurring in V4.0.2.2.

For a sheet on which only the panes have been changed and frozen it is impossible to save as LO does not register a change and the save option is greyed out.
Comment 27 bfoman (inactive) 2013-09-12 20:43:13 UTC
(In reply to comment #26)
> An addendum:  Bug 69249 occurring in V4.0.2.2.
> For a sheet on which only the panes have been changed and frozen it is
> impossible to save as LO does not register a change and the save option is
> greyed out.

This issue is bug 61060 and is fixed in 4.0.4.
Comment 28 bfoman (inactive) 2013-11-03 13:14:59 UTC
*** Bug 71178 has been marked as a duplicate of this bug. ***
Comment 29 ign_christian 2013-11-07 06:28:43 UTC
*** Bug 56415 has been marked as a duplicate of this bug. ***
Comment 30 Maxim Monastirsky 2013-11-08 10:53:32 UTC
*** Bug 71383 has been marked as a duplicate of this bug. ***
Comment 31 ign_christian 2014-06-19 04:29:54 UTC
Hey, I can't believe my eyes..but bug seems not occured in LO 4.2.4.2 (running Ubuntu 12.04 32bit)

Anyone can confirm ?
Comment 32 brucehohl 2014-06-19 11:51:55 UTC
Confirmed, the bug no longer occurs when going though my test in comment 24.  
Thanks to whoever fixed this bit of LO.
Comment 33 ign_christian 2014-06-19 13:48:39 UTC
> Thanks to whoever fixed this bit of LO.
Yes..many thanks to the mysterious guy ;)
Let's mark this bug WFM